/*文章类型配置接口*/
import request from '@/utils/request'

// 新增
export function add(data) {
  return request({
    url: '/liandao/article/type/add',
    method: 'post',
    data: data
  })
}

// 修改
export function edit(data) {
  return request({
    url: '/liandao/article/type/edit',
    method: 'post',
    data: data
  })
}


// 根据id删除
export function remove(id) {
  return request({
    url: '/liandao/article/type/delete',
    method: 'post',
    data: {id: id}
  })
}

//根据id查询详情
export function detail(id) {
  return request({
    url: '/liandao/article/type/detail',
    method: 'get',
    params: {id: id}
  })
}

//根据id查询详情
export function list(params) {
  return request({
    url: '/liandao/article/type/list',
    method: 'get',
    params: params
  })
}
